Yesterday, the Dev Team released one of the biggest updates to their RedSn0w utility in recent memory. The new version included a feature that allows A5 device owners to downgrade their firmware to one that is jailbreakable.

But those with an iPhone 4S who only had SHSH blobs saved from iOS 5.0.1 (build 9A406) haven’t been able to use the new feature to downgrade. Until now. RedSn0w 0.9.11b2 brings support for the forgotten firmware…

Back in December of last year, Apple seeded a minor iOS update for iPhone 4S users. It didn’t come with a new version number or anything, it was still 5.0.1. It just had a new build number: 9A406. The update was essentially a fix for a known SIM card problem.

Well if you have SHSH blobs from 9A406, you can use the new version of RedSn0w to downgrade back to that firmware. It’s already available on our Downloads page, and we have tutorials on how to use it for both Mac and PC users.

Any questions?

  • I have an ipad 2 on 5.0.1 jailbroken, can i still save SHSH blobs now and use it to downgrade a friend’s ipad 2 running 5.1

    • No every iDevice has its own unique SHSH blob. Please follow me on twitter if this helped: @iPhoneHelpzJB

    • Yes u can safe your shsh download iSHSHit from cydia and safe your blobs…
      But you can’t downgrade your friends iPad tho..

      • Anonymous

        Are you sure you can save blobs for iOS 5.0.1 now, well after Apple have stopped signing it because it didn’t work for me when I got my iPhone after Apple had released 5.1, even though my device had 5.0.1 installed … I say this because I never noticed any issues regarding blobs when I had my old iPhone but since I got a new one iFaith didn’t allow me to pull the blobs direct from the phone, an issue to do with my device being one of the 8GB models as far as I could make out.

        Does any1 else have so many issues with iTunes crashing when running on Windows 7 64bit version?? It rarely lets me sync apps etc the first time it’s run, it just crashes and closes virtually everytime.

      • Yes I’m sure cause they are safed in cydia.. so it just gets them out of cydia. Also u could use Tinyumbrella i think and click get shshs from cydia… (but i’m not a 100% sure on that)

      • Anonymous

        u can not save 501 shsh blobs now

      • you sure you can save blobs for iOS 5.0.1 now, well after Apple have stopped signing it because it didn’t work for me when I got my iPhone after Apple had released 5.1, even though my device had 5.0.1 installed … oh come on 333 words in each comment

  • waiting for iPhone 4 untethered for 5.1 …

  • i owned a iphone4s which is exactly this version… but when i use tiny umbrella to save the shsh blob, the file name showed is iphone4s 5.1… i am so confused.. why an iphone 4s with 5.0.1 but the saved shsh blob is 5.1… any idea??

    • Lloyd Stephens

      Because you tried to save your SHSH blobs after the signing window for iOS 5.0.1 had closed. You may still be on 5.0.1 but apple isn’t signing it anymore. You were simply too late.

    • If your phone is jailbroken download iSHSHit and u can safe your ios 5.0.1shsh if not jailbreak it and safe the shsh 😉 & also recomend saving all the other shsh

      • Anonymous

        u cant save 501 shsh blogs it is to late .

  • what about downgrading a4 devices.

    • thank you! where is the love for a4 devices??

      • Christopher Deal

        You’ve always been able to downgrade A4 devices as long as you had the SHSH for the firmware you’re restoring to.

      • Might wanna check out ih8sn0w ;-). & his tool iFaith

    • Anonymous

      yes

  • i have shs blog 5.0.1 and 5.01b which one do i use to downgrade?

  • 5.0.1
    the other one is a beta version

  • How can i find out if i have my shsh blobs saved for 5.0.1 on iphone 4??

  • can’t create a custom ipsw for ios 5.1.1 for 3gs

  • Thanks, I put this is a comment in the a5 downgrade post and 2 hours later they fixed it

  • Well, the problem I found is that You update your BB and it will be irreversible action. Don’t know why, since I will downgrade whole device.

    Yes, I read that in the Dev-Team’s web site and forum. But I’m wondering why is so hard to interact with the BB?

    Besides that, we can’t make a custom IPSW for A5 devices.

    Any wat, thanks guys for the useful tool!

    cmf.

  • hello everybody, i have an iphone 4S CDMA and i had SHSH of it on ios 5.01, i tryed yesturday to make the downgrade with the previous version of redsnow and it worked (when it asked for the 5.01 firmware, i selected the 9A405) ! Now i’m on 9A405 with iphone 4S CDMA (Verizon), does this means that my iphone is unlocked (or can be unlocked with SAM ?)

    • Nope, that was a bug in apples activation server, not the software

  • How do I save my SHSH blobs?

    I am safely jailbroken on 5.0.1 right now but I want to save them in case I ever need to downgrade

    • apple doesn’t sign anymore ios 5.01 so u can’t

  • ok, what if I have 9A405 instead of 9A406, does that change anything?

  • ignore my comment, I just realized how stupid previous comment was

  • What if we created a custom ipsw and instead of pressing the original 5.1.1 we pressed the one with no baseband update and did the downgrade that way. Would it still upgrade baseband

  • Rami Zoohbi

    i’m still getting the error blobs and IPSW does not match (After i select the blobs)
    i had 5.0.1 (build 9A406) jailbroken with the blobs saved long b4 apple stopped signing !!
    so everything should be ok ! except its not !
    any iDeas?

  • Anonymous

    I would like to add that this version of Redsn0w also supports downgrading to version 5.1 if blobs are saved. I have sucessfully restored my iphone 4S to versions 5.0.1,5.0.1(9A406), and 5.1 just to see if I could go back to it when pod2g releases a jailbreak for it. They all work 100%. And now since tiny umbrella 5.11.00 is out I have 5.1.1 saved also. So the only thing you will lose by redsn0w’s downgrading on A5 devices is the updating of baseband to 5.1.1’s which is 2.0.12 and the current Gevey sim unlocker supports it. I encourage you all to save your current shsh blobs from now on even on the new ipad A5/A5X devices so you can have the ability to restore to these firmwares at any time you want without the use of itunes!

  • AhmedShazly

    hi,
    i have iPhone3gs 8g
    version 5.0.1
    & carrier at&t 11.0
    & model MC640LL
    &serial number 881423CFEDG
    & IMEI 01 285700 647071 9
    & Modem Firmware 05.16.05

    my iPhone is unlock and i don’t know make unlock it
    how i can make unlock and jailbreak ???
    also i live in Egypt.
    please help me to solve this problem
    thank you .

  • AhmedShazly

    hi,
    i have iPhone3gs 8g
    version 5.0.1
    & carrier at&t 11.0
    & model MC640LL
    &serial number 881423CFEDG
    & IMEI 01 285700 647071 9
    & Modem Firmware 05.16.05

    my iPhone is unlock and i don’t know make unlock it
    how i can make unlock and jailbreak ???
    also i live in Egypt.
    please help me to solve this problem
    thank you .

  • Brach Smith

    Got an 4s with 10a403 and found a shshs blob from a iPhone 4 not 4s it is 5.1.1 will this work so I can downgrade from ios6 to 5.1.1!

  • James Yeo

    hi i have a iphone 4s with 5.0.1 9a406, i downloaded the ispw file but when i tryed to install it with itunes it said it was the wrong version.
    how can i jailbrake my phone will i need to update it or something first?